TradeHierarchy (3.14.0 310 API)
Date: 2018-05-30

com.marketfactory.zerogc.api

## Class TradeHierarchy

- java.lang.Object
- - com.marketfactory.zerogc.api.TradeHierarchy

- All Implemented Interfaces:
    IMessage, java.io.Serializable, java.lang.Comparable<TradeHierarchy>

      public final class TradeHierarchy
      extends java.lang.Object
      implements IMessage, java.lang.Comparable<TradeHierarchy>, java.io.Serializable

  Trading groups are defined as a tree where branches are subgroups and leaves are users. This struct specifies a leaf user and an ordered list of groups leading to the root.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `MFString[]` | `groupNames`
    `MFString[][]` | `recycleableZeroGCgroupNames`
    `MFString` | `userName`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `TradeHierarchy()`
    `` | `TradeHierarchy(MFString userName, MFString[] groupNames)`
    `protected` | `TradeHierarchy(ZeroGCProtoByteBuffer buffer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(TradeHierarchy rhs)`
    `void` | `deepCopy(TradeHierarchy src)`
    `void` | `deserializeZeroGC(ZeroGCProtoByteBuffer buffer)`
    `protected void` | `dump(TextWriter wr)`
    `boolean` | `equals(java.lang.Object rhs)`
    `int` | `getMsgType()`
    `int` | `hashCode()`
    `MFString[]` | `recycleZeroGCgroupNamesArray(int size)`
    `void` | `serialize(ZeroGCProtoByteBuffer buffer)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### userName

          public MFString userName

    - #### groupNames

          public MFString[] groupNames

    - #### recycleableZeroGCgroupNames

          public MFString[][] recycleableZeroGCgroupNames

  - ### Constructor Detail

    - #### TradeHierarchy

          public TradeHierarchy()

    - #### TradeHierarchy

          protected TradeHierarchy(ZeroGCProtoByteBuffer buffer)

    - #### TradeHierarchy

          public TradeHierarchy(MFString userName,
                                MFString[] groupNames)

  - ### Method Detail

    - #### recycleZeroGCgroupNamesArray

          public MFString[] recycleZeroGCgroupNamesArray(int size)

    - #### getMsgType

          public int getMsgType()

      Specified by:
        `getMsgType` in interface `IMessage`

    - #### deepCopy

          public void deepCopy(TradeHierarchy src)

    - #### equals

          public boolean equals(java.lang.Object rhs)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(TradeHierarchy rhs)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<TradeHierarchy>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### deserializeZeroGC

          public void deserializeZeroGC(ZeroGCProtoByteBuffer buffer)

      Specified by:
        `deserializeZeroGC` in interface `IMessage`

    - #### serialize

          public void serialize(ZeroGCProtoByteBuffer buffer)

      Specified by:
        `serialize` in interface `IMessage`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IMessage`
      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          protected void dump(TextWriter wr)